package com.adealink.weparty.wallet.coin

import android.os.Bundle
import com.adealink.weparty.commonui.BaseFragment
import com.adealink.weparty.module.wallet.data.Currency
import com.adealink.weparty.wallet.R

class TopUpFragment : BaseFragment(R.layout.fragment_wallet_top_up) {

    companion object {

        private const val EXTRA_CURRENCY = "extra_currency"

        @JvmStatic
        fun newInstance(currency: Currency): TopUpFragment {
            return TopUpFragment().apply {
                arguments = Bundle().apply {
                    putInt(EXTRA_CURRENCY, currency.type)
                }
            }
        }
    }

    private var currency: Currency = Currency.COIN

    override fun initViews() {
        super.initViews()
        currency =
            Currency.map(arguments?.getInt(EXTRA_CURRENCY, Currency.COIN.type)) ?: Currency.COIN
    }

    override fun observeViewModel() {
        super.observeViewModel()
    }
}